require 'spec_helper'

describe FormLogic::Base do
  
  describe 'initialization' do

    subject do
      described_class.new(Array.new, Hash.new)
    end

    it 'accepts several instances as parameters' do
      expect(subject.instances.size).to eq 2
    end

    it 'generates attr_readers' do
      expect(subject.array).to be
      expect(subject.hash).to be
    end
  end
end
