lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'form_logic/version'

Gem::Specification.new do |spec|
  spec.name          = 'form_logic'
  spec.version       = FormLogic::VERSION
  spec.authors       = %w(Alex Shilov)
  spec.email         = %w(alex.shilov.by@gmail.com)
  spec.summary       = %q(Make a service FormObjects to follow the principles of SOLID)
  spec.homepage      = ""
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = %w(lib)

  spec.add_development_dependency 'bundler' , '~> 1.5'
  spec.add_development_dependency 'rspec'   , '~> 3.0.0.beta2'
  spec.add_development_dependency 'rake'

  spec.add_dependency 'activemodel', '~> 4.0'
end
